LMSTAT(1)

NAME
lmstat - report status on license manager daemons and feature usage

SYNOPSIS
lmstat [ -a ] [ -A ] [ -c license_file ] [ -f [feature] ] [ -l [regular_expression] ] [ -s [server] ] [ -S [DAEMON] ] [ -t timeout ]

DESCRIPTION

lmstat provides information about the status of the server nodes, vendor daemons, vendor features, and users of each feature. Information can be optionally be qualified by specific server nodes, vendor damons, or features.

OPTIONS

-a  Display everything.

-A  List all active licenses.

-c license_file
    Use the specified license_file. If this switch is not specified, lmstat looks for the environment variable LM_LICENSE_FILE. If that environment variable is not set, lmstat looks for the file /usr/local/flexlm/licenses/license.dat.

-f [feature]
    List all users of the specified feature(s).

-l [regular_expression]
    List all users of the features matching the given regular expression.

-s [server]
    Display the status of the specified server node(s).

-S [daemon]
    List all users of the specified daemon's features.

-t timeout
    Specifies the timeout interval, in seconds, during which daemons must complete their connections to each other. The default value is 10 seconds. A larger value may be desirable if the daemons are being run on busy systems or a very heavily loaded network.

ENVIRONMENT
If no -c option is specified, lmstat looks for the environment variable LM_LICENSE_FILE in order to find the license file to use. If that environment variable is not set, lmstat looks for the file /usr/local/flexlm/licenses/license.dat.

SEE ALSO
lmgrd(1),